# SSM

Simple Social Media (SSM) is a small project that aims to create a small, simple social media platform that can run on relatively low-end hardware, written in C# on the backend, with Nuxt3 on the frontend.

## Design Considerations

To keep the system simple for development, I've decided to split it up into two.

1. Frontend.
2. Backend.

The frontend consists of:
1. Nuxt3.
2. Tailwind.

The backend consists of:
1. C# ASPNET
2. Some kind of SQL. Likely PostgreSQL

The two systems will communicate via REST API with json (maybe ProtoBuff later).

Authentication is handled with email, password, with JWT.